Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.command
Class SignOutCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.controller.command.SignOutCommand

    public class SignOutCommand

extends ControllerCommand

A global signout.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`SignOutCommand()`
`SignOutCommand(java.lang.String location)`

Method Summary
`ControllerResponse` | `execute()` Execute the command.
`CommandInfo` | `getInfo()` Return the meta data of this command.
`java.lang.String` | `getLocation()`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`acquireResources, create, createContext, destroy, destroyContext, enforceSecurity, getContext, getControllerContext, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignOutCommand

    public SignOutCommand()

### SignOutCommand

    public SignOutCommand(java.lang.String location)

Method Detail

### getInfo

    public CommandInfo getInfo()

  Description copied from class: `ControllerCommand`
  Return the meta data of this command.

  Specified by:
    `getInfo` in class `ControllerCommand`

### getLocation

    public java.lang.String getLocation()

### execute

    public ControllerResponse execute()
                               throws ControllerException

  Description copied from class: `ControllerCommand`
  Execute the command.

  Specified by:
    `execute` in class `ControllerCommand`
  Throws:
    `ControllerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD